#ifndef UBUS_CALL_H
#define UBUS_CALL_H

#include <json-c/json.h>
#include <libubox/blobmsg.h>
#include <libubox/blobmsg_json.h>
#include <libubus.h>
#include <stdio.h>
struct ubus_result
{
    json_object *result;
    int rc;
};

int ubus_init(void);

struct ubus_result *ubus_call(const char *object, const char *method, const char *args);


#endif /*  UBUS_CALL_H */